<?php include './private/db_connect.php' ?> 

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>



<div class="wrapper">
<div class="content-wrapper">
	<div class="container-fluid">

		<div class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
			<div class="col-sm-6">
				<h1 class="m-0">Onielsoft | Martvet</h1>
			</div><!-- /.col -->
			<div class="col-sm-6">
				<ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item"><a href="index.php">Home</a></li>
				<li class="breadcrumb-item active">Stock Inventory</li>
				</ol>
			</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.container-fluid -->
		</div>

<div class="col-lg-12">
<div class="row">
    <div class="col-md-12">
    <div class="card card-outline card-warning">
			<div class="card-header">
				<h2 class="card-title"><b>General Stock Inventory</b></h2>

				<div class="card-tools">
				<button type="button" class="btn btn-tool" data-card-widget="collapse">
					<i class="fas fa-minus"></i>
				</button>
				<button type="button" class="btn btn-tool" data-card-widget="remove">
					<i class="fas fa-times"></i>
				</button>
				</div>
			</div>
            <div class="card-body">
            <div class="col-md-12">
				<!-- <div class="card card-outline card-info"> -->
				<div class="card-body">
                    <table class="table table-bordered table-hover" id="load_table">
						<thead class="alert-info">
							<th class="text-center">#</th>
							<th class="text-left">Barcode</th>
							<th class="text-left">Product Name</th>
							<th class="text-center">Stock In</th>
							<th class="text-center">Sales</th>
							<th class="text-center">Stock Available</th>
						</thead>
						<tbody>
							<?php
							
								$i = 1;
								$product_query = $conn->query("SELECT id, sku, name FROM product_list ORDER BY name ASC");

								while ($product_row = $product_query->fetch_assoc()) {
									$product_id = $product_row['id'];
									$main_store_query = $conn->query("SELECT * FROM main_store WHERE store_id = '".$_SESSION['login_store_id']."' AND product_id = '$product_id'");
									
									if ($main_store_query) {
										$main_store_data = $main_store_query->fetch_assoc();

										if ($main_store_data) {
											// Data from main_store table
											$total_stock = $main_store_data['total_stock'];
											$total_sales = $main_store_data['total_sales'];
											$total_bal = $main_store_data['total_bal'];
											//$available = $total_stock - $total_moved - $total_sales;

											// Displaying data in the table
											echo "<tr>";
											echo "<td class='text-center'>" . $i++ . "</td>";
											//echo "<td class=''>" . $product_row['sku'] . "</td>";
											echo "<td class='clickable-sku product-id' data-product-id='" . $product_row['id'] . "'>" . $product_row['sku'] . "</td>";
											echo "<td class=''>" . $product_row['name'] . "</td>";
											echo "<td class='text-right'>" . number_format($total_stock, 1) . "</td>";
											echo "<td class='text-right'>" . number_format($total_sales, 1) . "</td>";
											echo "<td class='text-right'>" . number_format($total_bal, 1) . "</td>";
											echo "</tr>";
										} else {
											// Handle case where no data is retrieved for the product from main_store
											// You might want to display default values or an error message
										}
									} else {
										// Handle query execution error
										// You might want to log the error or display an error message
									}
								}
							//}
							?>
						</tbody>
					</table>

                </div>
                <!-- </div> -->
            </div>
			</div>
			
			<div class="modal fade" id="view_product" role='dialog'>
				<div class="modal-dialog modal-md" role="document">
					<div class="modal-content">
						<!--<div class="modal-header">
							<h5 class="modal-title">Product Details</h5>
						</div>-->
						<div class="modal-body">
							<div class="container-fluid">
								<div class="row">
									<div class="form-group col-md-6">
										<label for="" class="control-label">Barcode/SKU:</label>
										<div class="input-group input-group-sm">
											<input type="text" class="form-control form-control-sm text-left" id="sku" name="sku">
										</div>
										<div class="form-group col-md-6">
											<label for="" class="control-label">Category:</label>
											<input type="text" class="form-control form-control-sm text-left" name="category" id="category">
										</div>
									</div>
									
								</div>
								<div class="form-group">
									<label for="" class="control-label">Product Name:</label>
									<input type="text" class="form-control form-control-sm text-left" name="p_name" id="p_name">
								</div>
								<div class="row">
									
									<div class="form-group col-md-6">
										<label for="" class="control-label">Cost Price:</label>
										<input type="text" class="form-control form-control-sm text-left" name="cost_price" id="cost_price">
									</div>
									<div class="form-group col-md-6">
										<label class="control-label">Selling Price:</label>
										<input type="number" class="form-control form-control-sm text-right" id="price" name="price">
									</div>
								</div>

								<div class="row">
									<div class="col-sm-6">
										<div class="form-group">
											<label id="textbox3_label" class="control-label">Carton Selling Price:</label>
											<input type="number" step="any" class="form-control form-control-sm text-right" id="c_price" name="c_price">
										</div>
									</div>
									<div class="col-sm-6">
										<div class="form-group">
											<label id="textbox4_label" class="control-label">Carton Qty:</label>
											<input type="number" step="any" class="form-control form-control-sm text-right" id="c_qty" name="c_qty">
										</div>
									</div>
								</div>
							</div>
							<!--<div class="modal-footer">
								<button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
							</div>-->
						</div>
				</div>
			</div>
		</div>
</div>
</div>
</div>
</div>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.6.5/js/dataTables.buttons.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.print.min.js"></script>

<!-- jQuery -->
<script src="./plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="./plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="./plugins/datatables/jquery.dataTables.min.js"></script>
<script src="./plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="./plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="./plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="./plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="./plugins/jszip/jszip.min.js"></script>
<script src="./plugins/pdfmake/pdfmake.min.js"></script>
<script src="./plugins/pdfmake/vfs_fonts.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.colVis.min.js"></script>


<style type="text/css">
	#tr_clone{
		display: none;
	}
	td{
		vertical-align: middle;
	}
	td p {
		margin: unset;
	}
	td input[type='number']{
		height: calc(100%);
		width: calc(100%);

	}
	input[type=number]::-webkit-inner-spin-button, 
	input[type=number]::-webkit-outer-spin-button { 
	  -webkit-appearance: none; 
	  margin: 0; 
	}
</style>

<script>
$(document).ready(function() {
    // Click event handler for the SKU column
    $('#load_table').on('click', 'td.clickable-sku', function(e) {
        e.preventDefault();

        // Fetch SKU and ID data from the clicked row
        var productId = $(this).closest('tr').find('.product-id').text();
        var productSku = $(this).text();

        // AJAX call to fetch product details
        $.ajax({
            url: 'fetch_product_details.php', // Replace with your file handling database fetch
            type: 'POST',
            data: {
                productId: productId,
                productSku: productSku
            },
            success: function(response) {
                $('#view_product .modal-body').html(response);
                $('#view_product').modal('show'); // Show the modal after populating the data
            },
            error: function(xhr, status, error) {
                console.error(status + ": " + error);
            }
        });
    });
});
</script>

<script>
    
  $(function () {
    $("#load_table").DataTable({
      "responsive": true, "lengthChange": true, "autoWidth": false, "info": true,"ordering": true, "paging": true, "searching": true,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#load_table_wrapper .col-md-6:eq(0)');
   
  });
</script>

<script>
	$('.select2').select2({
      placeholder:"Select Store",
      width:"100%"
    });
</script>