<?php
  include './private/db_connect.php';
  $login_store = $_SESSION['login_store_id'];

  $sql = "SELECT * FROM stores WHERE id = $login_store";
  $result = $conn->query($sql);

  if ($result->num_rows > 0) {
    // output data of each row
    while($row = $result->fetch_assoc()) {
      $store = $row["store_name"];
    }
  } else {
    echo "0 results";
  }

?>


<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="./images/pos.jpg" alt="Oniel Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Onielsoft | Martvet</span>
    </a>

    <!-- Sidebar Sidebar user panel (optional)-->
    <div class="sidebar">
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="./images/store.png" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block"><?php echo $store  ?></a>
        </div>
      </div>
      <br/>
      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>


      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
         <!-- <li class="nav-item menu-open"> -->
         <li class="nav-item dropdown">
            <a href="./" class="nav-link nav-home">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
              </p>
            </a>
          </li>  
         <!-- # Cashier Connection Only... -->
          <?php if($_SESSION['login_type'] == 3): ?>
            <li class="nav-item">
              <a href="index.php?page=pos" class="nav-link">
               
                <i class="nav-icon fas fa-baby-carriage"></i>
                <p>
                  Point Of Sales
                </p>
              </a>
            </li>
            <!-- <li class="nav-item">
              <a href="index.php?page=customer" class="nav-link">
                <i class="nav-icon fas fa-users"></i>
                <p>
                  Customer List
                </p>
              </a>
            </li> -->
          <?php endif; ?>
          
           <!-- Only Supper Admin, Admin, Managers and Supervisor index.php?page=product -->
          <?php if($_SESSION['login_type'] == 2 OR $_SESSION['login_type'] == 4 OR $_SESSION['login_type'] == 1 OR $_SESSION['login_type'] == 11): ?> 

          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fa fa-product-hunt"></i>
              <p>
                Manage Product
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right"></span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
              <a href="index.php?page=product" class="nav-link">
                  <i class="far fa-circle text-warning nav-icon"></i>
                  <p>Add/Edit Product</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=categories" class="nav-link">
                  <i class="far fa-circle text-danger nav-icon"></i>
                  <!-- <i class="nav-icon fas fa-star"></i> -->
                  <p>
                    Add/Edit Category
                  </p>
                </a>
              </li>
            </ul>
          </li>

          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-truck-loading"></i>
              <p>
                Manage Stock
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right"></span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.php?page=initial_setup" class="nav-link">
                  <i class="far fa-circle text-success nav-icon"></i>
                  <p>Initial Setup</p>
                </a>
              </li>
              <!-- <li class="nav-item">
                <a href="index.php?page=purchase" class="nav-link">
                  <i class="far fa-circle text-warning nav-icon"></i>
                  <p>Purchase</p>
                </a>
              </li> -->
              
              <li class="nav-item">
                <a href="index.php?page=manage_receiving" class="nav-link">
                  <i class="far fa-circle text-info nav-icon"></i>
                  <p>Stock-In</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=adjust_stock" class="nav-link">
                  <i class="far fa-circle text-danger nav-icon"></i>
                  <p>Adjust Stock</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=damaged_product" class="nav-link">
                  <i class="far fa-circle text-warning nav-icon"></i>
                  <p>Returned/ Damaged</p>
                </a>
              </li>
              <!--<li class="nav-item">
                <a href="index.php?page=inventory" class="nav-link">
                  <i class="far fa-circle text-warning nav-icon"></i>
                  <p>Inventory</p>
                </a>
              </li>-->
            </ul>
          </li>
          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-compress-arrows-alt"></i>
              <p>
                View
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right"></span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.php?page=pro_list" class="nav-link">
                  <i class="far fa-circle text-success nav-icon"></i>
                  <p>Product List</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=receiving" class="nav-link">
                  <i class="far fa-circle text-warning nav-icon"></i>
                  <p>Stock-In</p>
                </a>
              </li>
              <?php if($_SESSION['login_type'] == 1 OR $_SESSION['login_type'] == 11): ?> 
              <li class="nav-item">
                <a href="index.php?page=sales" class="nav-link">
                  <i class="far fa-circle text-primary nav-icon"></i>
                  <p>Sales</p>
                </a>
              </li>
              <?php endif; ?>
              <li class="nav-item">
                <a href="index.php?page=inventory" class="nav-link">
                  <i class="far fa-circle text-danger nav-icon"></i>
                  <p>Inventory</p>
                </a>
              </li>
            </ul>
          </li>
          <?php if($_SESSION['login_type'] == 1 OR $_SESSION['login_type'] == 11): ?> 
          <li class="nav-item">
            <a href="index.php?page=pos" class="nav-link">
              <i class="nav-icon fas fa-baby-carriage"></i>
              <p>Point Of Sales</p>
            </a>
          </li>
          <?php endif; ?>
          <li class="nav-item">
            <a href="index.php?page=customer" class="nav-link">
              <i class="nav-icon fas fa-users"></i>
              <p>Customer List</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="index.php?page=supplier" class="nav-link">
              <i class="nav-icon fas fa-users"></i>
              <p>Supplier List</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="index.php?page=expenses" class="nav-link">
              <i class="nav-icon fas fa-credit-card"></i>
              <p>
                Expense
              </p>
            </a>
          </li>
		  
           <?php endif; ?>
          <!-- Only Supper Admin and Managers -->
          <?php if($_SESSION['login_type'] == 1 OR $_SESSION['login_type'] == 11): ?> 
          <li class="nav-item">
            <a href="index.php?page=geninventory_report" class="nav-link">
              <i class="nav-icon fas fa-chart-bar"></i>
              <p>
                Daily Store Inventory
              </p>
            </a>
          </li>
		  
		  <li class="nav-item">
            <a href="index.php?page=report_dashboard" class="nav-link">
              <i class="nav-icon fas fa-chart-pie"></i>
              <p>
                Report Dashboard
              </p>
            </a>
          </li>

          <!--<li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-chart-pie"></i>
              <p>
                Daily Activity Reports
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right"></span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.php?page=daily_sales_summary" class="nav-link">
                  <i class="far fa-circle text-info nav-icon"></i>
                  <p>Daily Sales</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=expenses_report" class="nav-link">
                  <i class="far fa-circle text-danger nav-icon"></i>
                  <p>Daily Expenses</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=sales_by_cashier" class="nav-link">
                  <i class="far fa-circle text-warning nav-icon"></i>
                  <p>Sales By Cashier</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=store_inventoryreport" class="nav-link">
                  <i class="far fa-circle text-success nav-icon"></i>
                  <p>Inventory Report</p>
                </a>
              </li>
			  <li class="nav-item">
                <a href="index.php?page=transaction_history" class="nav-link">
                  <i class="far fa-circle text-primary nav-icon"></i>
                  <p>Transacton History</p>
                </a>
              </li>
            </ul>
          </li>-->

          <?php endif; ?>

          <!-- Only Admin -->
          <?php if($_SESSION['login_type'] == 1 OR $_SESSION['login_type'] == 11): ?>

          <!--<li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-chart-pie"></i>
              <p>
                General Report
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.php?page=report_supplier" class="nav-link">
                  <i class="far fa-circle text-primary nav-icon"></i>
                  <p>Supplier Report</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=stock_in_report" class="nav-link">
                  <i class="far fa-circle text-danger nav-icon"></i>
                  <p>Purchase Report</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=stock_value" class="nav-link">
                  <i class="far fa-circle text-warning nav-icon"></i>
                  <p>Stock Value</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=expectedprofit" class="nav-link">
                  <i class="far fa-circle text-success nav-icon"></i>
                  <p>Profit Summary</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.php?page=SummarySalesReport" class="nav-link">
                  <i class="far fa-circle text-info nav-icon"></i>
                  <p>Sales Summary</p>
                </a>
              </li
            </ul>
          </li>>-->
          <?php endif; ?>
          
          <!-- Only Supper Admin -->
          <?php if($_SESSION['login_type'] == 1 OR $_SESSION['login_type'] == 2 OR $_SESSION['login_type'] == 11): ?>
          
          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-users-cog"></i>
              <p>
                Admin Settings
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
           
              <li class="nav-item">
                <a href="index.php?page=users" class="nav-link">
                  <i class="far fa-circle text-info nav-icon"></i>
                  <p>Users</p>
                </a>
              </li> 
              <?php if($_SESSION['login_type'] == 11): ?>
              <li class="nav-item">
                <a href="index.php?page=store" class="nav-link">
                  <i class="nav-icon fab fa-accusoft"></i>
                  <p>
                    Stores
                    <!-- <span class="right badge badge-danger">New</span> -->
                  </p>
                </a>
              </li>
              
              <li class="nav-item">
                <a href="index.php?page=sys_settings" class="nav-link">
                  <i class="far fa-circle text-warning nav-icon"></i>
                  <p>System Setup</p>
                </a>
              </li>
              <?php endif; ?> 
            </ul>
          </li>
          <?php endif; ?>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <script>
        $(document).ready(function () {
            var url = window.location;

        //for the sidebar menu entirely but not cover treeview

            $('ul.nav-sidebar a').filter(function () {
                if (this.href) {
                    return this.href == url || url.href.indexOf(this.href) == 0;
                }
            }).addClass('active');

        //for treeview

            $('ul.nav-treeview a').filter(function () {
                if (this.href) {
                    return this.href == url || url.href.indexOf(this.href) == 0;
                }
            }).parentsUntil(".nav-sidebar > .nav-treeview").addClass('menu-open').prev('a').addClass('active');
        })
  </script>