
<div class="wrapper">
<div class="content-wrapper">
	<div class="container-fluid">

		<div class="content-header">
			<div class="container-fluid">
				<div class="row mb-2">
					<div class="col-sm-6">
						<h1 class="m-0">Onielsoft | ePOS</h1>
					</div><!-- /.col -->
					<div class="col-sm-6">
						<ol class="breadcrumb float-sm-right">
						<li class="breadcrumb-item"><a href="index.php">Home</a></li>
						<li class="breadcrumb-item active">Users List</li>
						</ol>
					</div><!-- /.col -->
				</div><!-- /.row -->
			</div><!-- /.container-fluid -->
		</div>

	<div class="col-md-12">
	<div class="card card-outline card-warning">
		<div class="card-header">
			<h2 class="card-title"><b>Users List</b></h2>

			<div class="card-tools">
			<button type="button" class="btn btn-tool" data-card-widget="collapse">
				<i class="fas fa-minus"></i>
			</button>
			<button type="button" class="btn btn-tool" data-card-widget="remove">
				<i class="fas fa-times"></i>
			</button>
			</div>
		</div>
		<br />
		<div class="col-lg-8">
			<button class="btn btn-primary float-left btn-sm" id="new_user"><i class="fa fa-users"></i> New user</button>
		</div>
		<br />
		<!-- <div class="row"> -->
		<div class="col-md-12">
			<div class="card card-outline card-info">
			<div class="card-body">
				<!-- <table class="table-striped table-bordered" id="load_table"> -->
				<table class="table table-bordered table-striped" id="table_data">
				<thead>
					<tr>
						<th class="text-center">#</th>
						<th class="text-left">Name</th>
						<th class="text-left">Username</th>
						<th class="text-left">Store</th>
						<th class="text-center">Role</th>
						<th class="text-center">Status</th>
						<th class="text-center">Action</th>
					</tr>
				</thead>
				<tbody>
				<?php if($_SESSION['login_type'] == 11): ?> 
					<?php
						include './private/db_connect.php';
						$i = 1;
						$user = $conn->query("SELECT u.*, s.store_name  FROM users u, stores s ORDER BY s.store_name desc");
						while($row=$user->fetch_assoc()):
					?>
					<tr>
						<td>
							<?php echo $i++ ?>
						</td>
						<td>
							<?php echo $row['names'] ?>
						</td>
						<td>
							<?php echo $row['username'] ?>
						</td>
						<td>
							<?php echo $row['store_name'] ?>
						</td>
						<?php if($row['type'] == '11'): ?>
							<td class="text-center"><span class="badge badge-danger">Super Admin</span></td>
						<?php elseif($row['type'] == '1'): ?>
							<td class="text-center"><span class="badge badge-primary">Admin</span></td>
						<?php elseif($row['type'] == '2'): ?>
							<td class="text-center"><span class="badge badge-success">Manager</span></td>
						<?php elseif($row['type'] == '3'): ?>
							<td class="text-center"><span class="badge badge-warning">Cashier</span></td> 
						<?php elseif($row['type'] == '4'): ?>
							<td class="text-center"><span class="badge badge-info">Supervisor</span></td>  
						<?php else: ?>
							<td class="text-center"><span class="badge badge-success"></span></td>
						<?php endif ?>
						<?php if($row['user_status'] == '0'): ?>
							<td class="text-center"><span class="badge badge-danger">Inactive</span></td>
						<?php elseif($row['user_status'] == '1'): ?>
							<td class="text-center"><span class="badge badge-success">Active</span></td> 
						<?php else: ?>
							<td class="text-center"><span class="badge badge-warning">NA</span></td>
						<?php endif ?>
						
						<td>						
							<center>
								<div class="btn-group">
								  <button type="button" class="btn btn-primary btn-xs">Action</button>
								  <button type="button" class="btn btn-primary btn-xs dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								    <span class="sr-only">Toggle Dropdown</span>
								  </button>
								  <div class="dropdown-menu">
								    <a class="dropdown-item edit_user" href="javascript:void(0)" data-id = '<?php echo $row['id'] ?>'>Edit</a>
								    <div class="dropdown-divider"></div>
								    <a class="dropdown-item activate_user" href="javascript:void(0)" data-id = '<?php echo $row['id'] ?>'>Deactivate</a>
									<div class="dropdown-divider"></div>
								    <a class="dropdown-item delete_user" href="javascript:void(0)" data-id = '<?php echo $row['id'] ?>'>Delete</a>
								  </div>
								</div>
							</center>
						</td>
					</tr>
					<?php endwhile; ?>
					<?php endif; ?>

					<?php if($_SESSION['login_type'] == 1): ?> 
					<?php
						include './private/db_connect.php';
						$i = 1;
						$user = $conn->query("SELECT u.*, s.store_name  FROM users u, stores s WHERE u.store_id = s.id AND u.type <> 11 ORDER BY s.store_name desc");
						while($row=$user->fetch_assoc()):
					?>
					<tr>
						<td>
							<?php echo $i++ ?>
						</td>
						<td>
							<?php echo $row['names'] ?>
						</td>
						<td>
							<?php echo $row['username'] ?>
						</td>
						<td>
							<?php echo $row['store_name'] ?>
						</td>
						<?php if($row['type'] == '11'): ?>
							<!-- <td class="text-center"><span class="badge badge-danger">Super Admin</span></td> -->
						<?php elseif($row['type'] == '1'): ?>
							<td class="text-center"><span class="badge badge-primary">Admin</span></td>
						<?php elseif($row['type'] == '2'): ?>
							<td class="text-center"><span class="badge badge-success">Manager</span></td>
						<?php elseif($row['type'] == '3'): ?>
							<td class="text-center"><span class="badge badge-warning">Cashier</span></td> 
						<?php elseif($row['type'] == '4'): ?>
							<td class="text-center"><span class="badge badge-info">Supervisor</span></td>  
						<?php else: ?>
							<td class="text-center"><span class="badge badge-success"></span></td>
						<?php endif ?>
						<?php if($row['user_status'] == '0'): ?>
							<td class="text-center"><span class="badge badge-danger">Inactive</span></td>
						<?php elseif($row['user_status'] == '1'): ?>
							<td class="text-center"><span class="badge badge-success">Active</span></td> 
						<?php else: ?>
							<td class="text-center"><span class="badge badge-warning">NA</span></td>
						<?php endif ?>
						
						<td>						
							<center>
								<div class="btn-group">
								  <button type="button" class="btn btn-primary btn-xs">Action</button>
								  <button type="button" class="btn btn-primary btn-xs dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								    <span class="sr-only">Toggle Dropdown</span>
								  </button>
								  <div class="dropdown-menu">
								    <a class="dropdown-item edit_user" href="javascript:void(0)" data-id = '<?php echo $row['id'] ?>'>Edit</a>
								    <div class="dropdown-divider"></div>
								    <a class="dropdown-item activate_user" href="javascript:void(0)" data-id = '<?php echo $row['id'] ?>'>Deactivate</a>
									<div class="dropdown-divider"></div>
								    <a class="dropdown-item delete_user" href="javascript:void(0)" data-id = '<?php echo $row['id'] ?>'>Delete</a>
								  </div>
								</div>
							</center>
						</td>
					</tr>
					<?php endwhile; ?>
					<?php endif; ?>
				</tbody>
				</table>
			</div>
			</div>
		</div>
	</div>
	</div>
</div>
</div>
</div>


<!-- jQuery -->

<!-- Bootstrap 4 -->

<!-- DataTables  & Plugins -->
<script src="./plugins/datatables/jquery.dataTables.min.js"></script>
<script src="./plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="./plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="./plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="./plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="./plugins/jszip/jszip.min.js"></script>
<script src="./plugins/pdfmake/pdfmake.min.js"></script>
<script src="./plugins/pdfmake/vfs_fonts.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- Select2 -->
<script src="./plugins/select2/js/select2.full.min.js"></script>

<script>
	
	$('#new_user').click(function(){
		uni_modal('New User','manage_user.php')
	})
	$('.edit_user').click(function(){
		uni_modal('Edit User','manage_user.php?id='+$(this).attr('data-id'))
	})
	$('.delete_user').click(function(){
		_conf("Are you sure to delete this user?","delete_user",[$(this).attr('data-id')])
	})
	function delete_user($id){
		start_load()
		$.ajax({
			url:'ajax.php?action=delete_user',
			method:'POST',
			data:{id:$id},
			success:function(resp){
				if(resp==1){
					alert("Data successfully deleted",'success')
					setTimeout(function(){
						location.reload()
					},1500)

				}
			}
		})
	}

	$('.activate_user').click(function(){
		_conf("Are you sure to change user status?","activate_user",[$(this).attr('data-id')])
	})
	function activate_user($id){
		start_load()
		$.ajax({
			url:'ajax.php?action=activate_user',
			method:'POST',
			data:{id:$id},
			success:function(resp){
				if(resp==1){
					alert("Data successfully updated",'success')
					setTimeout(function(){
						location.reload()
					},1500)

				}
			}
		})
	}
</script>

<script>
	
  $(function () {
  
	$('#table_data').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>