<?php include('./private/db_connect.php');?>

<div class="wrapper">
<div class="content-wrapper">
	<div class="container-fluid">

		<div class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
			<div class="col-sm-6">
				<h1 class="m-0">Onielsoft | ePOS</h1>
			</div><!-- /.col -->
			<div class="col-sm-6">
				<ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item"><a href="index.php">Home</a></li>
				<li class="breadcrumb-item active">Profit Summary Report</li>
				</ol>
			</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.container-fluid -->
		</div>
    <div class="col-md-12">
		<div class="card card-outline card-warning">
			<div class="card-header">
				<h2 class="card-title"><b>Expected Profit Summary Report</b></h2>

				<div class="card-tools">
				<button type="button" class="btn btn-tool" data-card-widget="collapse">
					<i class="fas fa-minus"></i>
				</button>
				<button type="button" class="btn btn-tool" data-card-widget="remove">
					<i class="fas fa-times"></i>
				</button>
				</div>
			</div>
          <div class="card-body">
			<form action="post-method.php" method="post_back">
        
			</form>
			<table class="table table-bordered table-striped" id="load_table">
          <thead>
            <th class="text-center">#</th>
            <th class="text-left">Product Name</th>
            <th class="text-center">Qty</th>
            <th class="text-center">Cost Price(&#8358;)</th>
            <th class="text-center">Selling Price(&#8358;)</th>
            <th class="text-center">Profit(&#8358;)</th>
            <th class="text-center">Total SP(&#8358;)</th>
            <th class="text-center">Total CP(&#8358;)</th>
            <th class="text-center">Total Profit(&#8358;)</th>
          </thead>
        <tbody>  
        <?php 
          
          $i = 1;
          $total_sales=0;
          $total_cost=0;
          $profit = 0;
          $total_qty = 0;
          $total_price = 0;
          $total_profit = 0;
          $cum_sales = 0;
          $cum_cost = 0;
          $cum_profit = 0;
          $tsp = 0;
          $tcp = 0;
          $date_updated = "";
              
          $stock_out_query = $conn->query("SELECT * FROM `inventory` WHERE `type` = 2 AND `store_id` = '".$_SESSION['login_store_id']."' GROUP by product_id");
          while($row=$stock_out_query->fetch_assoc()):
            $selling_price = $row['sprice'];
            
            $product = $conn->query("SELECT * FROM `product_list` WHERE `id`='".$row['product_id']."'");
            $name = "";
            $final_selling = 0;

            while($row_p=$product->fetch_assoc())
            {
              $name = $row_p['name'];
            }
            $sqty = $conn->query("SELECT sum(qty) as `sqty` FROM inventory WHERE `type` = 2 AND `product_id` = ".$row['product_id']);
            $sqty = $sqty && $sqty->num_rows > 0 ? $sqty->fetch_array()['sqty'] : 0;
            $tsp = ($selling_price) * ($sqty);

            $cp = $conn->query("SELECT cprice as `cp` FROM inventory WHERE `type` = 1 AND product_id = ".$row['product_id']);
            $cp = $cp && $cp->num_rows > 0 ? $cp->fetch_array()['cp'] : 0;
            $cost_price = $cp;

            $profit = ($selling_price) - ($cost_price);
            $tcp = ($cost_price) * ($sqty);
            $total_cost += $tcp;
            $total_profit = $profit * $sqty;

            $cum_sales += $tsp;
            $cum_cost += $tcp;
            $cum_profit += $total_profit;

            ?>
              <tr>
                <td class="text-center"><?php echo $i++ ?></td>
                <td class="text-left"><?php echo $name ?></td>
                <td class="text-right"><?php echo $sqty ?></td>
                <td class="text-right"><?php echo number_format($cp, 2) ?></td>
                <td class="text-right"><?php echo number_format($selling_price, 2) ?></td>
                <td class="text-right"><?php echo number_format(($profit),2) ?></td>
                <td class="text-right"><?php echo number_format($tsp, 2) ?></td>
                <td class="text-right"><?php echo number_format($tcp, 2) ?></td>
                <td class="text-right"><?php echo number_format(($total_profit),2) ?></td>
              </tr>

            <?php endwhile; ?>                  
          </tbody>
            <tfoot>
              <tr>
								<td class="text-right" colspan="6"><b>Cumulative Total</b></td>
								<td class="text-right"><b><?php echo "&#8358; ".number_format($cum_sales,2) ?></b></td>
                <td class="text-right"><b><?php echo "&#8358; ".number_format($cum_cost,2) ?></b></td>
                <td class="text-right"><b><?php echo "&#8358; ".number_format($cum_profit,2) ?></b></td>
							</tr>
						</tfoot>
          </table>
        </div>  

          </div>
        </div>
      </div>
    </div>
  </div>
</div>


<!-- jQuery -->
<script src="./plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="./plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="./plugins/datatables/jquery.dataTables.min.js"></script>
<script src="./plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="./plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="./plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="./plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="./plugins/jszip/jszip.min.js"></script>
<script src="./plugins/pdfmake/pdfmake.min.js"></script>
<script src="./plugins/pdfmake/vfs_fonts.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.6.5/js/dataTables.buttons.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.print.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.6.4/js/bootstrap-datepicker.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>


<script>
  $(function () {
    $("#load_table").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#load_table_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script> 

<script>
      var totalSales= document.getElementById("tlSales").value;
       document.getElementById("lblTotlSales").innerHTML="Total Sales:   " + totalSales;
</script>
<script>
	   var totalCost= document.getElementById("tlcost").value;
       document.getElementById("lblTotlCost").innerHTML="Total Cost:   " + totalCost;

</script>

<script>

    $('.select2').select2({
      placeholder:"Select Store",
      width:"100%"
    });
   // alert("Welcome!");
    // Bootstrap datepicker
    $('.input-daterange input').each(function() {
     $(this).datepicker('clearDates');
    //$('#sd','#ed').datepicker('setDefaults');
    });
</script>